
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <netinet/in.h>

#define MAXLINE 100
#define SERV_PORT 7

void dg_cli(FILE *f,int sock,const struct sockaddr_in *saddr,socklen_t slen);

int main(int argc,char *argv[])
{
	int sock;
	struct sockaddr_in servaddr;

	if(argc != 2){
		printf("usage: <> <ip address>\n");
		exit(0);
	}

	memset(&servaddr,0,sizeof(servaddr));

	servaddr.sin_family = AF_INET;
	servaddr.sin_port = htons(SERV_PORT);
	inet_aton(argv[1], &servaddr.sin_addr);

	sock=socket(AF_INET,SOCK_DGRAM,0);

	dg_cli(stdin,sock,&servaddr,sizeof(servaddr));

	exit(0);
}

void dg_cli(FILE *f,int sock,const struct sockaddr_in *saddr,socklen_t slen)
{
	int n;
	int r;
	int i;
	char sendline[MAXLINE], recvline[MAXLINE+1];

	i=0;
	while(1){
		sprintf(sendline,"this is a test %d\n",i);
		r=sendto(sock,sendline,strlen(sendline),0,saddr,slen);
		printf("sendto()=%d\n",r);
		//if(!(i%100))
			printf("i=%d\n",i);

		n=recvfrom(sock,recvline,MAXLINE,0,NULL,NULL);
		//printf("recvfrom()=%d\n",n);

		recvline[n]=0;

		//fputs(recvline,stdout);

		sleep(1);
		i++;
	}
}

